unit Unit5;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls,Unit6;

type
  TForm2 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Edit1: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Anzeige_Anzahl;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);

var w        : integer;
    i        : string;
    button   : integer;
    laufwerk : string;
    zaehler  : byte;

    Procedure Pfadsuche(Pfad: string);

    var
      SearchRec : TSearchRec;
      wert      : integer;

    begin

         Edit1.text := pfad+ ' wird durchsucht ...';
         Edit1.Refresh;

         wert := FindFirst(pfad+'*.*', faAnyFile, SearchRec);

         if (wert = 0) and ((SearchRec.Attr and $08) <> $08) and ((SearchRec.Attr and $10) <> $10)
            then ListBox1.Items.Add(SearchRec.Name + ' ('+pfad+')');

         while wert = 0 do begin
               wert := FindNext(SearchRec);

               if ((SearchRec.Attr and $08) <> $08) and ((SearchRec.Attr and $10) <> $10)
                  then ListBox1.Items.Add(SearchRec.Name+ ' ('+pfad+')');

               if ((SearchRec.Attr and $10) = $10) and (SearchRec.Name <> '.') and (SearchRec.Name <> '..')
                  then Pfadsuche(pfad+SearchRec.Name+'\');
         end;
    end;

begin

  ListBox1.Clear;
  Anzeige_Anzahl;

  for zaehler := 3 to 26 do begin

      laufwerk := copy('ABCDEFGHIJKLMNOPQRSTUVWXYZ',zaehler,1);

       if DiskSize(zaehler)>=0
          then begin
                 Pfadsuche(laufwerk+':\');
                 Anzeige_Anzahl;
               end;
  end;

  ListBox1.ItemIndex := 0;

end;

procedure TForm2.FormActivate(Sender: TObject);
begin

  Anzeige_Anzahl;

end;

procedure TForm2.Button2Click(Sender: TObject);

var nummer     : integer;
    name       : string;
    datei      : string;
    dateipfad  : string;
    f          : file;
    vollername : string;

begin

  nummer     := ListBox1.ItemIndex;
  name       := ListBox1.Items[nummer];
  datei      := copy(name,1,pos(' ',name)-1);
  dateipfad  := copy(name,pos('(',name)+1,pos(')',name)-pos('(',name)-1);
  vollername := dateipfad+datei;

  if MessageDlg('Wollen Sie wirklich die Datei'+chr(13)+dateipfad+datei+' lschen ?',mtWarning, [mbYes, mbNo], 0) = mrYes
     then begin
            AssignFile(f,vollername);
            Erase(f);
            ListBox1.Items.Delete(nummer);
            ListBox1.ItemIndex := nummer-1;
            Anzeige_Anzahl;
          end;
end;

procedure TForm2.Anzeige_Anzahl;

var w : integer;
    i : string;

begin

  W := ListBox1.Items.Count;

  if w = 0

     then begin
            Edit1.Text := 'Klicken Sie auf "Dateiliste erstellen" !';
            Button2.visible := false;
          end

     else begin
            str(W,I);
            Edit1.Text := I + ' Dateien gefunden.';
            Button2.visible := true;
          end;
end;


procedure TForm2.Button3Click(Sender: TObject);
begin

  AboutBox.Show;

end;

procedure TForm2.FormCreate(Sender: TObject);
begin

  if MessageDlg('Die Benutzung des Programms geschieht auf eigene Gefahr. '+chr(13)+
                'Jegliche Haftung ist ausgeschlossen.',mtWarning, [mbOk, mbAbort], 0) = mrAbort
     then Halt;

end;

end.
